(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/common/http')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common', '@angular/common/http'], factory) :
	(factory((global['ngx-lib'] = {}),global.core,global.common,global.http));
}(this, (function (exports,core,common,http) { 'use strict';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EmailServiceConfig = (function () {
    function EmailServiceConfig() {
    }
    return EmailServiceConfig;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EmailService = (function () {
    function EmailService(config, http$$1) {
        this.http = http$$1;
        this.config = config;
    }
    /**
     * @param {?} email
     * @return {?}
     */
    EmailService.prototype.send = /**
     * @param {?} email
     * @return {?}
     */
    function (email) {
        var /** @type {?} */ dto = {
            server: this.config.server,
            smtpPort: this.config.smtpPort,
            sender: this.config.sender,
            subject: email.subject,
            content: email.content,
            recipients: email.recipients
        };
        return this.http.post(this.config.serviceUrl, dto);
    };
    EmailService.decorators = [
        { type: core.Injectable },
    ];
    /** @nocollapse */
    EmailService.ctorParameters = function () { return [
        { type: EmailServiceConfig, decorators: [{ type: core.Optional },] },
        { type: http.HttpClient, },
    ]; };
    return EmailService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SharePointServiceConfig = (function () {
    function SharePointServiceConfig() {
    }
    return SharePointServiceConfig;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var SharepointService = (function () {
    function SharepointService(config, http$$1) {
        this.http = http$$1;
        this.url = config.serviceUrl;
    }
    /**
     * @param {?} list
     * @return {?}
     */
    SharepointService.prototype.getListItems = /**
     * @param {?} list
     * @return {?}
     */
    function (list) {
        return this.http.post(this.url, list);
    };
    /**
     * @param {?} list
     * @param {?} view
     * @param {?=} site
     * @param {?=} limit
     * @return {?}
     */
    SharepointService.prototype.getListItemsSimple = /**
     * @param {?} list
     * @param {?} view
     * @param {?=} site
     * @param {?=} limit
     * @return {?}
     */
    function (list, view, site, limit) {
        return this.http.get(this.url + "/" + list + "/" + view + "/" + site + "/" + limit);
    };
    /**
     * @return {?}
     */
    SharepointService.prototype.getPeople = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.url + "/people");
    };
    SharepointService.decorators = [
        { type: core.Injectable },
    ];
    /** @nocollapse */
    SharepointService.ctorParameters = function () { return [
        { type: SharePointServiceConfig, decorators: [{ type: core.Optional },] },
        { type: http.HttpClient, },
    ]; };
    return SharepointService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EmailModule = (function () {
    function EmailModule() {
    }
    /**
     * @param {?} config
     * @return {?}
     */
    EmailModule.forRoot = /**
     * @param {?} config
     * @return {?}
     */
    function (config) {
        return {
            ngModule: EmailModule,
            providers: [
                EmailService, { provide: EmailServiceConfig, useValue: config }
            ]
        };
    };
    EmailModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [],
                    exports: []
                },] },
    ];
    /** @nocollapse */
    EmailModule.ctorParameters = function () { return []; };
    return EmailModule;
}());
var SharePointModule = (function () {
    function SharePointModule() {
    }
    /**
     * @param {?} config
     * @return {?}
     */
    SharePointModule.forRoot = /**
     * @param {?} config
     * @return {?}
     */
    function (config) {
        return {
            ngModule: SharePointModule,
            providers: [
                SharepointService, { provide: SharePointServiceConfig, useValue: config }
            ]
        };
    };
    SharePointModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [],
                    exports: []
                },] },
    ];
    /** @nocollapse */
    SharePointModule.ctorParameters = function () { return []; };
    return SharePointModule;
}());

exports.EmailModule = EmailModule;
exports.SharePointModule = SharePointModule;
exports.EmailService = EmailService;

Object.defineProperty(exports, '__esModule', { value: true });

})));
